Bug 206374 - fedora-install-guide.pot is in DOS format
fedora-install-guide.pot is in DOS format
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Depends On:
  Show dependency treegraph
Reported: 2006-09-13 18:16 EDT by Magnus Larsson
Modified: 2007-04-18 13:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-13 19:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Converted and unconverted(DOS) pot file (87.26 KB, application/x-compressed-tar)
2006-09-14 10:19 EDT, Magnus Larsson
no flags Details

  None (edit)
Description Magnus Larsson 2006-09-13 18:16:19 EDT
Description of problem:
translate/install-guide/fedora-install-guide.pot is in DOS format.
The problem is that when you do msgmerge you get Windows CRLF copied into the
PO-file as well, and then you get parse errors when you try to check it in...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open the POT file in Emacs or vi and see the ^M chars...
Actual results:
Contains a DOS CR+LF on every msgstr line.

Expected results:
Should not contain any DOS CR LF...

Additional info:
Comment 1 Paul W. Frields 2006-09-13 19:12:41 EDT
The POT file was sent out in standard UNIX format (LF only).  If there is a
problem with it, it must have happened before or during import.  I am cc'ing the
Translation Project chair so he can look at the problem, but it's definitely not
on this end.
Comment 2 Magnus Larsson 2006-09-14 00:08:40 EDT
It seems it is only that file. It's like someone opened it Windows Notepad and
then checked it in with CVS on a UNIX platform...
Usually CVS automatically translates the files correctly on the platform it is

I can fix this problem in 1 min, but I'm not sure if I am allowed to fiddle
around with the POT files. So I wait...
Comment 3 A S Alam 2006-09-14 01:15:27 EDT
Magnus Larsson
can you please attached updated file in bugzilla after upating?

Comment 4 Magnus Larsson 2006-09-14 10:19:41 EDT
Created attachment 136263 [details]
Converted and unconverted(DOS) pot file
Comment 5 Magnus Larsson 2006-09-14 10:24:25 EDT
I added a tar file with 2 files so you can compare:

The first one is the one directly from CVS (v1.2).
The second one is the corrected one with no DOS newlines.

To get the translated file I simply did:
cvs checkout fedora-install-guide.pot
dos2unix fedora-install-guide.pot

diff fedora-install-guide.pot.fromcvs  fedora-install-guide.pot
Comment 6 A S Alam 2006-09-15 00:36:10 EDT
Thanks Magnus for your finding.
I find no reason to commit this to CVS, so commiting update file to CVS

Note You need to log in before you can comment on or make changes to this bug.